Retry a webhook delivery

Requeues a failed or exhausted webhook delivery for another attempt.

POST
/v1/webhook-deliveries/{id}/retry

Authorization

AuthorizationRequiredBearer <token>

API key. Manage keys from the dashboard at app.bytekit.com.

In: header

Path Parameters

idRequiredstring
Pattern: "^wh_"
curl -X POST https://api.bytekit.com \
  -H "Authorization: Bearer sk_live_your_api_key_here"

Successful response.

{
  "id": "wh_01j9abc123",
  "event_type": "bulk.completed",
  "target_url": "string",
  "status": "pending",
  "attempts": 0,
  "max_attempts": 0,
  "next_attempt_at": "2019-08-24T14:15:22Z",
  "response_status": 0,
  "response_ms": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "delivered_at": "2019-08-24T14:15:22Z",
  "screenshot_id": "string",
  "recording_id": "string",
  "bulk_id": "string",
  "monitor_id": "string",
  "scrape_id": "string"
}